using System;


namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double suma = 0;
            for (int i = 0; i < n; i++)
            {
                string[] ulaz = Console.ReadLine().Split();
                double zarada = double.Parse(ulaz[0]);
                double porez = double.Parse(ulaz[1]);
                if (porez >= 77.32)
                {
                    suma += zarada;
                }
            }
            double rezultat = suma * (77.32 / 100);
            Console.WriteLine(rezultat);

        }
    }
}